# Uses of Class
org.jboss.modules.ResourceLoaderSpec

Packages that use ResourceLoaderSpec
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ResourceLoaderSpec in org.jboss.modules

Methods in org.jboss.modules that return ResourceLoaderSpec
Modifier and Type
Method
Description
`static ResourceLoaderSpec`
ResourceLoaderSpec.`createResourceLoaderSpec(ResourceLoader resourceLoader)`
Construct a new instance which accepts all paths in the resource loader.
`static ResourceLoaderSpec`
ResourceLoaderSpec.`createResourceLoaderSpec(ResourceLoader resourceLoader, PathFilter pathFilter)`
Construct a new instance.
Methods in org.jboss.modules with parameters of type ResourceLoaderSpec
Modifier and Type
Method
Description
`ModuleSpec.Builder`
ModuleSpec.Builder.`addResourceRoot(ResourceLoaderSpec resourceLoader)`
Add a local resource root, from which this module will load class definitions and resources.
Method parameters in org.jboss.modules with type arguments of type ResourceLoaderSpec
Modifier and Type
Method
Description
`protected void`
ModuleLoader.`setAndRefreshResourceLoaders(Module module, Collection<ResourceLoaderSpec> loaders)`
Replaces the resources loaders for the specified module and refreshes the internal path list that is derived from the loaders.